CREATE TABLE inspectorlog(
  ID INTEGER PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
  INLOGIN VARCHAR(20) default '' NOT NULL,
  LOGDATE TIMESTAMP NOT NULL,
  ACTION VARCHAR(20) default '' NOT NULL);
  
CREATE TABLE monitormeasures(
  ID INTEGER NOT NULL,
  RECIPIENT VARCHAR(200) default '' NOT NULL,
  MAILBOX VARCHAR(200) default '' NOT NULL,
  REFERENCEID VARCHAR(25) default '' NOT NULL,
  BEGINDATE TIMESTAMP NOT NULL,
  ENDDATE TIMESTAMP NOT NULL,
  LEAIP VARCHAR(45) default '' NOT NULL,
  LEAPORT INTEGER default 21 NOT NULL,
  LEAUSERNAME VARCHAR(8) default '' NOT NULL,
  LEAPASSWORD VARCHAR(8) default '' NOT NULL,
  LEADESTINATIONPATH VARCHAR(200) default '' NOT NULL,
  SENDCOPY VARCHAR(3) default 'yes' NOT NULL,
  SERVERIDS VARCHAR(200) default '' NOT NULL,
  PRIMARY KEY (recipient,referenceid,leaip,serverids));
  
CREATE TABLE monitoruser(
  LOGIN VARCHAR(20) PRIMARY KEY default '' NOT NULL,
  PASSWORD VARCHAR(30) default '' NOT NULL,
  REALNAME VARCHAR(40) default '' NOT NULL,
  ROLE VARCHAR(9) NOT NULL,
  MUSTCHANGEPASSWORD VARCHAR(3) default 'yes' NOT NULL);
INSERT INTO monitoruser VALUES('admin','start','Administrator','sysadmin','yes');
  
CREATE TABLE operatorlog(
  ID INTEGER PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
  MEASUREID INTEGER NOT NULL,
  RECIPIENT VARCHAR(200) default '' NOT NULL,
  BEGINDATE TIMESTAMP NOT NULL,
  ENDDATE TIMESTAMP NOT NULL,
  LEAIP VARCHAR(45) default '' NOT NULL,
  OPLOGIN VARCHAR(20) default '' NOT NULL,
  LOGDATE TIMESTAMP NOT NULL,
  ACTION VARCHAR(20) default '' NOT NULL,
  CHECKED VARCHAR(3) default 'yes' NOT NULL);
  
CREATE TABLE sysadminlog(
  ID INTEGER PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
  LOGIN VARCHAR(20) default '' NOT NULL,
  SYLOGIN VARCHAR(20) default '' NOT NULL,
  LOGDATE TIMESTAMP NOT NULL,
  ACTION VARCHAR(20) default '' NOT NULL);
  
CREATE TABLE transmittedmessages(
  MSGIDSHA1 CHAR(40) PRIMARY KEY default '' NOT NULL,
  MEASUREID INTEGER NOT NULL);
