CREATE TABLE attachmentfilter(
  IP VARCHAR(45) default '' NOT NULL,
  SENDER VARCHAR(200) default '' NOT NULL,
  RECIPIENT VARCHAR(200) default '' NOT NULL,
  POLICY VARCHAR(6) default 'accept' NOT NULL,
  EXTENSIONS VARCHAR(255) default '' NOT NULL,
  LISTDATE DATETIME default '0001-01-01 00:00:00' NOT NULL,
  LASTHIT DATETIME default '0001-01-01 00:00:00' NOT NULL,
  HITS INTEGER default 0 NOT NULL,
  PRIMARY KEY (ip,sender,recipient));
  
CREATE TABLE autoblacklist(
  IP VARCHAR(45) default '' NOT NULL,
  SENDER VARCHAR(200) default '' NOT NULL,
  LISTDATE DATETIME default '0001-01-01 00:00:00' NOT NULL,
  LASTHIT DATETIME default '0001-01-01 00:00:00' NOT NULL,
  HITS INTEGER default 0 NOT NULL,
  PRIMARY KEY (ip,sender));
  
CREATE TABLE badwords(
  WORD VARCHAR(200) PRIMARY KEY default '' NOT NULL,
  TYPE VARCHAR(6) default '' NOT NULL);

CREATE TABLE cache(
  TYPE INTEGER NOT NULL,
  ID VARCHAR(255) default '' NOT NULL,
  VALUE VARCHAR(255) default '' NOT NULL,
  LISTDATE DATETIME default '0001-01-01 00:00:00' NOT NULL,
  PRIMARY KEY (type,id));
  
CREATE TABLE disinfectionoptin(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL);
  
CREATE TABLE disposableoptin(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL);
  
CREATE TABLE disposablerecipients(
  KEYWORD VARCHAR(200) default '' NOT NULL,
  RECIPIENT VARCHAR(200) default '' NOT NULL,
  MAXVALUE INTEGER NOT NULL,
  REMAINING INTEGER NOT NULL,
  FORWARDED INTEGER NOT NULL,
  BLOCKED INTEGER NOT NULL,
  LISTDATE DATETIME default '0001-01-01 00:00:00' NOT NULL,
  LASTHIT DATETIME default '0001-01-01 00:00:00' NOT NULL,
  PRIMARY KEY (keyword,recipient));
  
CREATE TABLE domainadmin(
  DOMAIN VARCHAR(200) PRIMARY KEY default '' NOT NULL,
  PASSWORD VARCHAR(40) default '' NOT NULL,
  MAILADDRESS VARCHAR(200) default '' NOT NULL);
  
CREATE TABLE envelopepolicy(
  IP VARCHAR(45) default '' NOT NULL,
  SENDER VARCHAR(200) default '' NOT NULL,
  RECIPIENT VARCHAR(200) default '' NOT NULL,
  PRIORITY INTEGER default 50 NOT NULL,
  POLICY VARCHAR(15) default 'accept' NOT NULL,
  LISTDATE DATETIME default '0001-01-01 00:00:00' NOT NULL,
  LASTHIT DATETIME default '0001-01-01 00:00:00' NOT NULL,
  HITS INTEGER default 0 NOT NULL,
  PRIMARY KEY (ip,sender,recipient));
  
CREATE TABLE fetchaccount(
  PROTOCOL VARCHAR(4) default 'pop3' NOT NULL,
  HOST VARCHAR(200) default '' NOT NULL,
  PORT INTEGER default 110 NOT NULL,
  USERNAME VARCHAR(200) default '' NOT NULL,
  PASSWORD VARCHAR(200) default '' NOT NULL,
  `SECURITY` VARCHAR(4) default 'none' NOT NULL,
  SSLCERTVALID VARCHAR(3) default 'no' NOT NULL,
  RECIPIENT VARCHAR(200) default '' NOT NULL,
  RECEIVEHOSTIDENT VARCHAR(200) default '' NOT NULL,
  PRIMARY KEY (host,port,username));

CREATE TABLE ftpuser(
  FTPUSER VARCHAR(20) PRIMARY KEY default '' NOT NULL,
  PASSWORD VARCHAR(20) default '' NOT NULL);
  
CREATE TABLE journal(
  ID VARCHAR(20) PRIMARY KEY default '' NOT NULL,
  IP VARCHAR(45) default '' NOT NULL,
  SENDER TEXT default '' NOT NULL,
  RECIPIENT TEXT default '' NOT NULL,
  MAILSENDER TEXT default '' NOT NULL,
  MAILFROM TEXT default '' NOT NULL,
  MAILTO TEXT default '' NOT NULL,
  CC TEXT default '' NOT NULL,
  BCC TEXT default '' NOT NULL,
  REPLYTO TEXT default '' NOT NULL,
  MAILDATE DATETIME default '0001-01-01 00:00:00',
  RECEIVEDDATE DATETIME default '0001-01-01 00:00:00' NOT NULL,
  SUBJECT TEXT default '' NOT NULL,
  TOTALLENGTH BIGINT default 0 NOT NULL,
  ATTACHMENTS TEXT default '' NOT NULL,
  SPAMSCORE DOUBLE NOT NULL,
  STATUS VARCHAR(11) default 'aborted' NOT NULL,
  REASON TEXT NOT NULL);
CREATE INDEX journal_receiveddate_desc ON journal(receiveddate DESC);

CREATE TABLE localdomains(
  DOMAIN VARCHAR(200) PRIMARY KEY default '' NOT NULL);
  
CREATE TABLE monitorproxies(
  IP VARCHAR(45) default '' NOT NULL,
  PORT INTEGER NOT NULL,
  USESSL VARCHAR(3) default 'yes' NOT NULL,
  UPSTREAMIP VARCHAR(45) default '' NOT NULL,
  UPSTREAMPORT INTEGER NOT NULL,
  UPSTREAMSSL VARCHAR(3) default 'yes' NOT NULL,
  TYPE VARCHAR(4) default 'smtp' NOT NULL,
  ID VARCHAR(40) default '' NOT NULL,
  SSLCERTIFICATEPATH VARCHAR(200) default '' NOT NULL,
  PRIMARY KEY (ip,port));
  
CREATE TABLE rcptrewrite(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL,
  NEWRECIPIENT VARCHAR(200) default '' NOT NULL,
  MODE VARCHAR(8) default 'redirect' NOT NULL);
  
CREATE TABLE recipientbackend(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL,
  BACKENDHOST VARCHAR(200) default '' NOT NULL,
  BACKENDPORT INTEGER default 25 NOT NULL,
  USESSL VARCHAR(3) default 'no' NOT NULL,
  LOGIN VARCHAR(200) default '' NOT NULL,
  PASSWORD VARCHAR(200) default '' NOT NULL,
  METHOD VARCHAR(9) default 'PLAIN' NOT NULL);
  
CREATE TABLE recipientkeys(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL,
  PASSWORD VARCHAR(24) default '' NOT NULL,
  CREATED DATETIME default '0001-01-01 00:00:00' NOT NULL);
  
CREATE TABLE recipientstatistic(
  RECIPIENT VARCHAR(200) default '' NOT NULL,
  REPORTDAY DATE default '0001-01-01' NOT NULL,
  DELIVERED INTEGER NOT NULL,
  QUEUED INTEGER NOT NULL,
  ABORTED INTEGER NOT NULL,
  BLOCKED INTEGER NOT NULL,
  INFECTED INTEGER NOT NULL,
  UNDELIVERED INTEGER NOT NULL,
  DISINFECTED INTEGER NOT NULL,
  PRIMARY KEY (recipient,reportday));
  
CREATE TABLE relocated(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL,
  NEWRECIPIENT VARCHAR(200) default '' NOT NULL);
  
CREATE TABLE replayadmin(
  LOGIN VARCHAR(200) PRIMARY KEY default '' NOT NULL,
  PASSWORD VARCHAR(200) default '' NOT NULL);
  
CREATE TABLE replaylog(
  PATH VARCHAR(100) PRIMARY KEY default '' NOT NULL,
  SENDER TEXT default '' NOT NULL,
  RECIPIENT TEXT default '' NOT NULL,
  RECEIVEDDATE DATETIME default '0001-01-01 00:00:00' NOT NULL,
  SIZE INTEGER default 0 NOT NULL);
CREATE INDEX replaylog_receiveddate_desc ON replaylog(receiveddate DESC);
  
CREATE TABLE statisticoptin(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL);
  
CREATE TABLE uceoptin(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL);
  
CREATE TABLE users(
  LOGIN VARCHAR(200) PRIMARY KEY default '' NOT NULL,
  PASSWORD VARCHAR(200) default '' NOT NULL,
  RESTRICTION VARCHAR(7) default 'default' NOT NULL);
  
CREATE TABLE validrecipients(
  RECIPIENT VARCHAR(200) PRIMARY KEY default '' NOT NULL);
